xn::ModuleErrorStateInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleErrorStateInterface ()
virtual XnStatus | GetErrorState ()=0
virtual XnStatus | RegisterToErrorStateChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromErrorStateChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleErrorStateInterface()

virtual xn::ModuleErrorStateInterface::~ModuleErrorStateInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetErrorState()

virtual XnStatus xn::ModuleErrorStateInterface::GetErrorState | ( |  | ) |

pure virtual

## RegisterToErrorStateChange()

virtual XnStatus xn::ModuleErrorStateInterface::RegisterToErrorStateChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## UnregisterFromErrorStateChange()

virtual void xn::ModuleErrorStateInterface::UnregisterFromErrorStateChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h